/* -*- Mode: C++; indent-tabs-mode: nil; tab-width: 4 -*-
 * -*- coding: utf-8 -*-
 *
 * Copyright (C) 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COMMON_H
#define COMMON_H

#endif // COMMON_H

// ukui framework统一接口Dbus名称
const QString DBUS_NAME = "org.ukui.Framework";

// 设备类相关的路径名称
const QString DEVICES_PATH              = "/org/ukui/Framework/Devices";
const QString DEVICES_POWER_PATH        = "/org/ukui/Framework/Devices/Power";
const QString DEVICES_SCREEN_PATH       = "/org/ukui/Framework/Devices/Screen";
const QString DEVICES_BLUETOOTH_PATH    = "/org/ukui/Framework/Devices/Bluetooth";
const QString DEVICES_WIFI_PATH         = "/org/ukui/Framework/Devices/WIFI";
const QString DEVICES_TOUCHPAD_PATH     = "/org/ukui/Framework/Devices/Touchpad";
const QString DEVICES_AUDIO_PATH        = "/org/ukui/Framework/Devices/Audio";
const QString DEVICES_GEOLOCATION_PATH  = "/org/ukui/Framework/Devices/Geolocation";

// APP相关路径名称
const QString APP_PATH                = "/org/ukui/Framework/APP";
const QString APP_INFO_PATH           = "/org/ukui/Framework/APP/INFO";
const QString APP_MANAGER_PATH        = "/org/ukui/Framework/APP/Manager";

// 文件相关路径名称
const QString FILE_PATH               = "/org/ukui/Framework/File";
const QString FILE_INDEX_PATH         = "/org/ukui/Framework/File/Index";

// UI相关的路径名称
const QString UI_PATH                 = "/org/ukui/Framework/UI";
const QString UI_THEME_PATH           = "/org/ukui/Framework/UI/Theme";
const QString UI_WALLPAPER_PATH       = "/org/ukui/Framework/UI/Wallpaper";
const QString UI_EFFECTS_PATH         = "/org/ukui/Framework/UI/Effects";
const QString UI_FONT_PATH            = "/org/ukui/Framework/UI/Font";

// Media
const QString MEDIA_PATH              = "/org/ukui/Framework/Media";

// Notifications
const QString NOTIFICATIONS_PATH      = "/org/ukui/Framework/Notifications";

// Configurations
const QString CONFIGURATIONS_PATH     = "/org/ukui/Framework/Configurations";

// Network
const QString NETWORK_PATH            = "/org/ukui/Framework/Network";

// Navigations
const QString NAVIGATIONS_PATH         = "/org/ukui/Framework/Navigations";

// ModeControl
const QString MODE_PATH               = "/org/ukui/Framework/Mode";

// AI
const QString AI_PATH                 = "/org/ukui/Framework/AI";

